## com.ericsson.otp.ic
Class AnyHelper

    java.lang.Object
      com.ericsson.otp.ic.AnyHelper

    public class AnyHelper

extends java.lang.Object

Helper class for Any, according to OMG-IDL java mapping.

Instead for write,read methods, the methods marshal respective unmarshal are used to denote the implementation difference.

Method Summary
`static void` `marshal(com.ericsson.otp.erlang.OtpOutputStream _out, Any _any)` Marshal method for the Any class, encodes the Any object to the output stream.
`static Any` `unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)` Unmarshal method for the Any class, decodes an Any object from the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _out,
                               Any _any)
                        throws java.lang.Exception

  Marshal method for the Any class, encodes the Any object to the output stream.

  Throws:
    `java.lang.Exception`

### unmarshal

    public static Any unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)
                         throws java.lang.Exception

  Unmarshal method for the Any class, decodes an Any object from the stream.

  Returns:
    Any, read from the input stream
  Throws:
    `java.lang.Exception`

Copyright © 1991-2007 Ericsson AB